tf_mod_aws_cloudtrail_ops
==============
A Terraform module for creating the Cloudtrail server and associated logging bucket for an account.
The role assumes that your environment will be known as "ops", as this module is designed to facilitate

Input Variables
---------------

- `customer_name` - The name of the custmer/enduser that you're using within Terraform.
- `environment` - The environment name that you're assigning. As this module is designed for "ops" accounts, "ops" is the default.

Outputs
-------

- `bucket_name` - The name of the logging bucket.
- `cloudtrail_name` - The name of the Cloudtrail service that has been created.

Usage
-----

You can use these in your Terraform template with the following steps.

1.) Adding a module resource to your template, e.g. `main.tf`

```
#############################################################################################################
# CloudTrail (Ops Account)
#############################################################################################################
module "cloudtrail_ops" {
  source = "git::https://git.steamhaus.co.uk/steamhaus/tf_mod_aws_cloudtrail_ops"

  customer_name = "${var.name}"
  environment   = "${var.environment}"
}
```
